summaryrefslogtreecommitdiffstats
path: root/lib/changelog.sh
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-18 14:34:49 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-18 14:34:49 (EDT)
commitda3ddca19dbcefc9e0a2d39eb22d7f3a40b7f987 (patch)
treeb048a6164761aef3b6d692a11d5ffbbb72449e6f /lib/changelog.sh
parent209bfa5bbf8eb882b6593f08b3ed108995a0d1e3 (diff)
Delimit operands of ob_parse_version()
Diffstat (limited to 'lib/changelog.sh')
-rw-r--r--lib/changelog.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/lib/changelog.sh b/lib/changelog.sh
index 28357f5..06cb627 100644
--- a/lib/changelog.sh
+++ b/lib/changelog.sh
@@ -138,7 +138,8 @@ ob_parse_changelog()
'changelog_bad_source' \
"${source}"
fi
- if ! ob_parse_version "${version}"; then
+ if ! ob_parse_version -- "${version}"
+ then
_ob_parse_changelog_error \
"${file}" "${line_nr}" \
"changelog_bad_sourc$(:\